Class | Tk::BWidget::SelectColor
In: | tk/lib/tkextlib/bwidget/selectcolor.rb
Parent: | Tk::BWidget::MessageDlg

### Methods

dialog menu set_color

### Constants

TkCommandNames | = | ['SelectColor'.freeze].freeze
WidgetClassName | = | 'SelectColor'.freeze

### Public Class methods

set_color(idx, color)

[Source]

    # File tk/lib/tkextlib/bwidget/selectcolor.rb, line 42
      def self.set_color(idx, color)
        tk_call('SelectColor::setcolor', idx, color)
      end

### Public Instance methods

dialog(keys={})

[Source]

    # File tk/lib/tkextlib/bwidget/selectcolor.rb, line 24
      def dialog(keys={})
        newkeys = @keys.dup
        newkeys.update(_symbolkey2str(keys))
        tk_call('SelectColor::dialog', @path, *hash_kv(newkeys))
      end

menu(*args)

[Source]

    # File tk/lib/tkextlib/bwidget/selectcolor.rb, line 30
      def menu(*args)
        if args[-1].kind_of?(Hash)
          keys = args.pop
        else
          keys = {}
        end
        place = args.flatten
        newkeys = @keys.dup
        newkeys.update(_symbolkey2str(keys))
        tk_call('SelectColor::menu', @path, place, *hash_kv(newkeys))
      end

[Validate]